%ifarch x86_64
%define bits 64
%else
%define bits 32
%endif

Name: monetdb
Version: 1.38.5
Release: alt2
Summary: MonetDB - Monet Database Management System
License: MonetDB Public License v1.1
Group: Databases
Url: http://monetdb.cwi.nl/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar.gz

BuildPreReq: zlib-devel bzlib-devel libssl-devel flex libreadline-devel
BuildPreReq: libpcre-devel
BuildPreReq: texi2html latex2html texlive-latex-recommended

%description
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the core components of MonetDB.  If you want to
use MonetDB, you will certainly need this package.

%package -n lib%name
Summary: Shared libraries of core components of MonetDB
Group: System/Libraries

%description -n lib%name
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains shared libraries of the core components of
MonetDB.  If you want to use MonetDB, you will certainly need this
package.

%package -n lib%name-devel
Summary: Development files of core components of MonetDB
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains development files of the core components of
MonetDB.

%prep
%setup
sed -i 's|\(\-O6\)|\1 -g|g' configure

%build
%add_optflags -fno-strict-aliasing
%configure \
	--enable-strict=no \
	--enable-assert=no \
	--enable-debug=no \
	--enable-optimize=yes \
	--enable-bits=%bits
%make_build

%install
%makeinstall_std

%files -n lib%name
%doc COPYING
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_bindir/*

%changelog
* Mon Mar 21 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.38.5-alt2
- Rebuilt for debuginfo

* Wed Sep 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.38.5-alt1
- Initial build for Sisyphus

